com.trendmicro.ds.appcontrol.rest.object

## Class RulesetSummary

- java.lang.Object
- - com.trendmicro.ds.appcontrol.rest.object.RulesetSummary

-     public class RulesetSummary
      extends java.lang.Object

  Details of a ruleset.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RulesetSummary()` Create an empty ruleset summary.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDescription()` Get the ruleset description.
    `java.lang.String` | `getName()` Get the ruleset name.
    `java.lang.Long` | `getRulesetID()` Get the ruleset ID.
    `int` | `getVersion()` Get the ruleset version.
    `void` | `setDescription(java.lang.String description)` Set the ruleset description.
    `void` | `setName(java.lang.String name)` Set the ruleset name.
    `void` | `setRulesetID(java.lang.Long rulesetID)` Set the ruleset ID.
    `void` | `setVersion(int version)` Set the ruleset version.
    `RulesetSummary` | `withDescription(java.lang.String description)` Set the ruleset description.
    `RulesetSummary` | `withName(java.lang.String name)` Set the ruleset name.
    `RulesetSummary` | `withRulesetID(java.lang.Long rulesetID)` Set the ruleset ID.
    `RulesetSummary` | `withVersion(int version)` Set the ruleset version.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RulesetSummary

          public RulesetSummary()

      Create an empty ruleset summary.

  - ### Method Detail

    - #### getRulesetID

          public java.lang.Long getRulesetID()

      Get the ruleset ID.
      Returns:
        the ruleset ID.

    - #### setRulesetID

          public void setRulesetID(java.lang.Long rulesetID)

      Set the ruleset ID.
      Parameters:
        `rulesetID` - the ruleset ID.

    - #### withRulesetID

          public RulesetSummary withRulesetID(java.lang.Long rulesetID)

      Set the ruleset ID.
      Parameters:
        `rulesetID` - the ruleset ID.
      Returns:
        the updated RulesetSummary object.

    - #### getName

          public java.lang.String getName()

      Get the ruleset name.
      Returns:
        the ruleset name.

    - #### setName

          public void setName(java.lang.String name)

      Set the ruleset name.
      Parameters:
        `name` - the ruleset name.

    - #### withName

          public RulesetSummary withName(java.lang.String name)

      Set the ruleset name.
      Parameters:
        `name` - the ruleset name.
      Returns:
        the updated RulesetSummary object.

    - #### getDescription

          public java.lang.String getDescription()

      Get the ruleset description.
      Returns:
        the ruleset description.

    - #### setDescription

          public void setDescription(java.lang.String description)

      Set the ruleset description.
      Parameters:
        `description` - the ruleset description.

    - #### withDescription

          public RulesetSummary withDescription(java.lang.String description)

      Set the ruleset description.
      Parameters:
        `description` - the ruleset description.
      Returns:
        the updated RulesetSummary object.

    - #### getVersion

          public int getVersion()

      Get the ruleset version.
      Returns:
        the ruleset version.

    - #### setVersion

          public void setVersion(int version)

      Set the ruleset version.
      Parameters:
        `version` - the ruleset version.

    - #### withVersion

          public RulesetSummary withVersion(int version)

      Set the ruleset version.
      Parameters:
        `version` - the ruleset version.
      Returns:
        the updated RulesetSummary object.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.